package com.boman.gen.api;

import com.boman.common.core.constant.ServiceNameConstants;
import com.boman.common.core.web.domain.AjaxResult;
import com.boman.domain.GenTable;
import com.boman.domain.TableSql;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 生成代码模块，远程调用入口，如需其他接口，在此添加
 *
 * @author shiqian
 * @date 2021年04月06日 14:22
 **/
@FeignClient(contextId = "remoteGenTableService", value = ServiceNameConstants.GEN_SERVICE)
public interface RemoteGenTableService {

    /**
     * 功能描述: 通过表名查找表对应的所有的列
     *
     * @param tableId tableId
     * @return GenTable
     */
    @GetMapping(value = "/gen/tableId/{tableId}")
    GenTable getByTableId(@PathVariable("tableId") Long tableId);


    /**
     * 功能描述: 通过表名查找表信息
     *
     * @param tableName tableName
     * @return GenTable
     */
    @GetMapping(value = "/gen/table/{tableName}")
    GenTable getByTableName(@PathVariable("tableName") String tableName);
}
