package com.boman.system.service;

import com.boman.common.core.web.domain.AjaxResult;
import com.boman.system.domain.AttendanceSet;
import org.gavaghan.geodesy.GlobalCoordinates;

import java.util.List;


/**
 * 考勤设置Service接口
 * 
 * @author ruoyi
 * @date 2021-06-04
 */
public interface IAttendanceSetService 
{
    /**
     * 查询考勤设置
     * 
     * @param id 考勤设置ID
     * @return 考勤设置
     */
    public AttendanceSet selectAttendanceSetById(Long id);

    /**
     * 查询考勤设置列表
     * 
     * @param attendanceSet 考勤设置
     * @return 考勤设置集合
     */
    public List<AttendanceSet> selectAttendanceSetList(AttendanceSet attendanceSet);

    /**
     * 新增考勤设置
     * 
     * @param attendanceSet 考勤设置
     * @return 结果
     */
    public int insertAttendanceSet(AttendanceSet attendanceSet);

    /**
     * 修改考勤设置
     * 
     * @param attendanceSet 考勤设置
     * @return 结果
     */
    public int updateAttendanceSet(AttendanceSet attendanceSet);

    /**
     * 批量删除考勤设置
     * 
     * @param ids 需要删除的考勤设置ID
     * @return 结果
     */
    public int deleteAttendanceSetByIds(Long[] ids);

    /**
     * 删除考勤设置信息
     * 
     * @param id 考勤设置ID
     * @return 结果
     */
    public int deleteAttendanceSetById(Long id);

    /**
     * 根据传入的经纬度计算是否在设置的范围之内
     * @param globalCoordinates
     * @return
     */
    public AjaxResult getDistanceMeter(GlobalCoordinates globalCoordinates);
}
